package com.example.doctor

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.example.doctor.Appeals.TabLayout.Model.AppealsNewModel
import com.example.doctor.Appeals.TabLayout.Model.AppealsOldModel
import com.example.doctor.Patients.Model.PatientAllModel
import com.example.doctor.Patients.Model.PatientIdModel
import com.example.doctor.Patients.Model.PatientModel
import com.example.doctor.Patients.Reports.Courses.SportCoursModel
import com.example.doctor.Patients.Reports.Edit.EditSportModel
import com.example.doctor.Patients.Reports.QBAModel
import com.example.doctor.Setting.Courses.EditCourses.TabLayoutEditCourses.Model.EditCoursesDoctorModel
import com.example.doctor.Setting.Courses.EditCourses.TabLayoutEditCourses.Model.CoursesDoctorCA
import com.example.doctor.Setting.Courses.Model.CoursesDoctorModel

//import com.example.retrofit.model.Product

class DoctorViewModel: ViewModel() {

    //Токен
    val token = MutableLiveData<String>()

    //Пациенты
    val patientId = MutableLiveData<PatientIdModel>()
    val patientCurrent = MutableLiveData<PatientAllModel>()
    val patientListList= MutableLiveData<PatientAllModel>()

    //Обращения необработанные
    val appealsNewCurrent = MutableLiveData<AppealsNewModel>()
    val appealsNewList= MutableLiveData<List<AppealsNewModel>>()

    //Обращения обработанные
    val appealsOldCurrent = MutableLiveData<AppealsOldModel>()
    val appealsOldList= MutableLiveData<List<AppealsOldModel>>()

    //val productList = MutableLiveData<List<Product>>()
    val patientOneCurrent = MutableLiveData<PatientModel>()

    //Отчеты
    val qbaCurrent = MutableLiveData<QBAModel>()
    val qbaList= MutableLiveData<List<QBAModel>>()

    //КУрсы
    val SportCoursCurrent = MutableLiveData<SportCoursModel>()
    val SportCoursList= MutableLiveData<List<SportCoursModel>>()
    val SportCoursDoctorList= MutableLiveData<List<SportCoursModel>>()

    val BtnSportCoursDoctorCurrent = MutableLiveData<Int>()

    //Редактирование занятий
    val EditSportCurrentYes = MutableLiveData<EditSportModel>()
    val EditSportListYes= MutableLiveData<List<EditSportModel>>()

    //Редактирование занятий
    val EditSportCurrentNO = MutableLiveData<EditSportModel>()
    val EditSportListNo= MutableLiveData<List<EditSportModel>>()

    //Список пациентов
    val PatientActiveCurrent = MutableLiveData<PatientAllModel>()
    val PatientActiveList= MutableLiveData<List<PatientAllModel>>()
    val PatientNotCurrent = MutableLiveData<PatientAllModel>()
    val PatientNotList= MutableLiveData<List<PatientAllModel>>()

    //Список со всеми пациентами
    val PatientAllModel= MutableLiveData<List<PatientAllModel>>()

    //id пациента
    val id_patient = MutableLiveData<Int>()

    //Курсы созданный доктором
    val CoursesDoctorCurrent = MutableLiveData<CoursesDoctorModel>()
    val CoursesDoctorList= MutableLiveData<List<CoursesDoctorModel>>()


    //Упражнения не входяшие в курс доктора
    val EditCoursesDoctorAllCurrent = MutableLiveData<EditCoursesDoctorModel>()
    val EditCoursesDoctorAllList= MutableLiveData<List<EditCoursesDoctorModel>>()

    //Упражнения входяшие в курс доктора
    val EditCoursesDoctorYourCurrent = MutableLiveData<EditCoursesDoctorModel>()
    val EditCoursesDoctorYourList= MutableLiveData<List<EditCoursesDoctorModel>>()

    val CoursesDoctorCA = MutableLiveData<CoursesDoctorCA>()


    //Список пациентов для поисковой строки
    val patientListSearch= MutableLiveData<List<PatientAllModel>>()

    //Для передачи данных редактируемого курса
    val CoursesCustomDoctor = MutableLiveData<CoursesDoctorModel>()

}